<div class="container-fluid mt-4">

  <div class="card p-4">
    <div class="row">
      <div class="col-md-12">
        <h4>{{translate('title')}}</h4>
      </div>
    </div>

    <form [formGroup]="formGroup" (submit)="save()">
      <div class="row">
        <div class="col-md-3">
          <div class="form-group">
            <label for="codigo">{{translate('codigo')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="codigo"
                   name="codigo"
                   onlyNumber
                   formControlName="codigo"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="codigo"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-9">
          <div class="form-group">
            <label for="descricao">{{translate('descricao')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="descricao"
                   name="descricao"
                   formControlName="descricao"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="descricao"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-3">
          <div class="form-group">
            <label for="tipoCartao">{{translate('tipo_cartao')}}</label>
            <p-dropdown [options]="tipoCartaoDropdown"
                        id="tipoCartao"
                        name="tipoCartao"
                        formControlName="tipoCartao"
                        (onChange)="onSelectTipoCartao()"
                        [style]="{width: '100%'}"
                        optionValue="value"
                        optionLabel="label">
            </p-dropdown>
          </div>
        </div>
        <div class="col-md-3">
          <div class="form-group">
            <label for="dtVencimento">{{translate('data_vencimento')}}</label>
            <span *ngIf="fieldIsEnabled('dtVencimento')" class="field-required">*</span>
            <input type="text"
                   id="dtVencimento"
                   name="dtVencimento"
                   formControlName="dtVencimento"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="dtVencimento"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-3">
          <div class="form-group">
            <label for="melhorDataCompra">{{translate('melhor_data')}}</label>
            <span *ngIf="fieldIsEnabled('melhorDataCompra')" class="field-required">*</span>
            <input type="text"
                   id="melhorDataCompra"
                   name="melhorDataCompra"
                   formControlName="melhorDataCompra"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="melhorDataCompra"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-3">
          <div class="form-group">
            <label for="limite">{{translate('limite')}}</label>
            <span *ngIf="fieldIsEnabled('limite')" class="field-required">*</span>
            <div class="p-inputgroup">
              <span class="p-inputgroup-addon p-0">
                <i class="fa fa-money-bill"></i>
              </span>
              <input type="text"
                     id="limite"
                     name="limite"
                     formControlName="limite"
                     class="form-control"
                     currencyMask
                     pInputText>
            </div>
            <app-form-error [form]="formGroup"
                            inputName="limite"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <app-salvar [typeButton]="'submit'"></app-salvar>
          <app-cancelar (click)="back()"></app-cancelar>
        </div>
      </div>
    </form>

  </div>
</div>
